diff options
author | Andrew Tridgell <tridge@samba.org> | 2006-08-23 01:44:22 +0000 |
---|---|---|
committer | Gerald (Jerry) Carter <jerry@samba.org> | 2007-10-10 14:16:33 -0500 |
commit | f1da198449fece2e6d586859f35e1a2f1832336f (patch) | |
tree | e81bf5a16829b2ee1f2cecef8d9e0495f2db1363 /source4/lib/ldb/docs/builddocs.sh | |
parent | 48032446a6123140546a1447aaa67b3cefcd138c (diff) | |
download | samba-f1da198449fece2e6d586859f35e1a2f1832336f.tar.gz samba-f1da198449fece2e6d586859f35e1a2f1832336f.tar.bz2 samba-f1da198449fece2e6d586859f35e1a2f1832336f.zip |
r17732: after some help from Jelmer, changed builddocs.sh not to rely on
either an internet connection, or a list of xsl paths
(This used to be commit 7f3c699d0f8fc0e75b351bc851dbb9ffdc3617c4)
Diffstat (limited to 'source4/lib/ldb/docs/builddocs.sh')
-rwxr-xr-x | source4/lib/ldb/docs/builddocs.sh | 58 |
1 files changed, 24 insertions, 34 deletions
diff --git a/source4/lib/ldb/docs/builddocs.sh b/source4/lib/ldb/docs/builddocs.sh index 2842a7fb68..b071f0f954 100755 --- a/source4/lib/ldb/docs/builddocs.sh +++ b/source4/lib/ldb/docs/builddocs.sh @@ -10,53 +10,43 @@ if ! test -x "$XSLTPROC"; then exit 0 fi -# list of places to look for the docbook style sheet -manxsl=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl - -# list of places to look for the html style sheet -htmlxsl=/usr/share/xml/docbook/stylesheet/nwalsh/html/docbook.xsl - -manstyle="" -htmlstyle="" - -for f in $manxsl; do - if [ -r "$f" ]; then - manstyle="$f" - fi -done - -if [ -z "$manstyle" ]; then - echo "manpages/docbook.xsl not found on system" - exit 0 -fi - -for f in $htmlxsl; do - if [ -r "$f" ]; then - htmlstyle="$f" - fi -done - -if [ -z "$htmlstyle" ]; then - echo "html/docbook.xsl not found on system" - exit 0 -fi +MANXSL="http://docbook.sourceforge.net/release/xsl/current/manpages/docbook.xsl" +HTMLXSL="http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl" mkdir -p man html for f in $SRCDIR/man/*.xml; do base=`basename $f .xml` out=man/"`basename $base`" - if [ ! -f "$out" ] || [ "$base" -nt "$out" ]; then + if [ ! -f "$out" ] || [ "$f" -nt "$out" ]; then echo Processing manpage $f - $XSLTPROC -o "$out" "$manstyle" $f || exit 1 + $XSLTPROC --nonet -o "$out" "$MANXSL" $f + ret=$? + if [ "$ret" = "4" ]; then + echo "ignoring stylesheet error 4 for $MANXSL" + exit 0 + fi + if [ "$ret" != "0" ]; then + echo "xsltproc failed with error $ret" + exit $ret + fi fi done for f in $SRCDIR/man/*.xml; do base=`basename $f .xml` out=man/"`basename $base`".html - if [ ! -f "$out" ] || [ "$base" -nt "$out" ]; then + if [ ! -f "$out" ] || [ "$f" -nt "$out" ]; then echo Processing html $f - $XSLTPROC -o "$out" "$htmlstyle" $f || exit 1 + $XSLTPROC --nonet -o "$out" "$HTMLXSL" $f + ret=$? + if [ "$ret" = "4" ]; then + echo "ignoring stylesheet error 4 for $HTMLXSL" + exit 0 + fi + if [ "$ret" != "0" ]; then + echo "xsltproc failed with error $ret" + exit $ret + fi fi done |